import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_CreateResourcePolicyCommand, se_CreateResourcePolicyCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateResourcePolicyCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LexModelBuildingServiceV2", "CreateResourcePolicy", {})
    .n("LexModelsV2Client", "CreateResourcePolicyCommand")
    .f(void 0, void 0)
    .ser(se_CreateResourcePolicyCommand)
    .de(de_CreateResourcePolicyCommand)
    .build() {
}
